Package com.enonic.xp.region

## Class ComponentDescriptor

- java.lang.Object
- - com.enonic.xp.descriptor.Descriptor
  - - com.enonic.xp.region.ComponentDescriptor

- Direct Known Subclasses:
    `LayoutDescriptor`, `PageDescriptor`, `PartDescriptor`

      @PublicApi
      public abstract class ComponentDescriptor
      extends Descriptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComponentDescriptor.BaseBuilder<T extends ComponentDescriptor.BaseBuilder>` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Instant` | `modifiedTime` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ComponentDescriptor​(ComponentDescriptor.BaseBuilder builder)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract ResourceKey` | `getComponentPath()` |
    `Form` | `getConfig()` |
    `String` | `getDescription()` |
    `String` | `getDescriptionI18nKey()` |
    `String` | `getDisplayName()` |
    `String` | `getDisplayNameI18nKey()` |
    `Instant` | `getModifiedTime()` |
    `InputTypeConfig` | `getSchemaConfig()` |

    - ### Methods inherited from class com.enonic.xp.descriptor.Descriptor

      `getApplicationKey, getKey, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modifiedTime

          protected final Instant modifiedTime

  - ### Constructor Detail

    - #### ComponentDescriptor

          protected ComponentDescriptor​(ComponentDescriptor.BaseBuilder builder)

  - ### Method Detail

    - #### getDisplayName

          public final String getDisplayName()

    - #### getDisplayNameI18nKey

          public String getDisplayNameI18nKey()

    - #### getDescription

          public String getDescription()

    - #### getDescriptionI18nKey

          public String getDescriptionI18nKey()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### getConfig

          public final Form getConfig()

    - #### getSchemaConfig

          public InputTypeConfig getSchemaConfig()

    - #### getComponentPath

          public abstract ResourceKey getComponentPath()